## NMDeviceGeneve NMDeviceGeneve |

## Functions

guint | nm_device_geneve_get_id ()
const char * | nm_device_geneve_get_remote ()
guint | nm_device_geneve_get_dst_port ()
guint | nm_device_geneve_get_tos ()
guint | nm_device_geneve_get_ttl ()
guint | nm_device_geneve_get_df ()

## Properties

guchar | df | Read
guint | dst-port | Read
guint | id | Read
char * | remote | Read
guchar | tos | Read
int | ttl | Read

## Types and Values

#define | NM_DEVICE_GENEVE_ID
#define | NM_DEVICE_GENEVE_REMOTE
#define | NM_DEVICE_GENEVE_TOS
#define | NM_DEVICE_GENEVE_TTL
#define | NM_DEVICE_GENEVE_DST_PORT
#define | NM_DEVICE_GENEVE_DF
| NMDeviceGeneve

## Object Hierarchy

        GObject
        ╰── NMObject
            ╰── NMDevice
                ╰── NMDeviceGeneve

## Description

## Functions

### nm_device_geneve_get_id ()

    guint
    nm_device_geneve_get_id (NMDeviceGeneve *device);

#### Parameters

device | a NMDeviceGeneve |

#### Returns

the device's GENEVE ID.

Since: 1.58

### nm_device_geneve_get_remote ()

    const char *
    nm_device_geneve_get_remote (NMDeviceGeneve *device);

#### Parameters

device | a NMDeviceGeneve |

#### Returns

the IP address of the remote tunnel endpoint

Since: 1.58

### nm_device_geneve_get_dst_port ()

    guint
    nm_device_geneve_get_dst_port (NMDeviceGeneve *device);

#### Parameters

device | a NMDeviceGeneve |

#### Returns

the UDP destination port

Since: 1.58

### nm_device_geneve_get_tos ()

    guint
    nm_device_geneve_get_tos (NMDeviceGeneve *device);

#### Parameters

device | a NMDeviceGeneve |

#### Returns

the TOS value to use in outgoing packets

Since: 1.58

### nm_device_geneve_get_ttl ()

    guint
    nm_device_geneve_get_ttl (NMDeviceGeneve *device);

#### Parameters

device | a NMDeviceGeneve |

#### Returns

the time-to-live value to use in outgoing packets

Since: 1.58

### nm_device_geneve_get_df ()

    guint
    nm_device_geneve_get_df (NMDeviceGeneve *device);

#### Parameters

device | a NMDeviceGeneve |

#### Returns

the Don't Fragment (DF) bit to set in outgoing packets

Since: 1.58

## Types and Values

### NM_DEVICE_GENEVE_ID

    #define NM_DEVICE_GENEVE_ID       "id"

### NM_DEVICE_GENEVE_REMOTE

    #define NM_DEVICE_GENEVE_REMOTE   "remote"

### NM_DEVICE_GENEVE_TOS

    #define NM_DEVICE_GENEVE_TOS      "tos"

### NM_DEVICE_GENEVE_TTL

    #define NM_DEVICE_GENEVE_TTL      "ttl"

### NM_DEVICE_GENEVE_DST_PORT

    #define NM_DEVICE_GENEVE_DST_PORT "dst-port"

### NM_DEVICE_GENEVE_DF

    #define NM_DEVICE_GENEVE_DF       "df"

### NMDeviceGeneve

    typedef struct _NMDeviceGeneve NMDeviceGeneve;

Since: 1.58

## Property Details

### The `“df”` property

      “df”                       guchar

The Don't Fragment (DF) bit to set in outgoing packets.

Owner: NMDeviceGeneve

Flags: Read

Allowed values: <= 2

Default value: 0

Since: 1.58

### The `“dst-port”` property

      “dst-port”                 guint

The UDP destination port used to communicate with the remote GENEVE tunnel endpoint.

Owner: NMDeviceGeneve

Flags: Read

Allowed values: <= 65535

Default value: 0

Since: 1.58

### The `“id”` property

      “id”                       guint

The device's GENEVE ID.

Owner: NMDeviceGeneve

Flags: Read

Allowed values: <= 16777215

Default value: 0

Since: 1.58

### The `“remote”` property

      “remote”                   char *

The IP address of the remote tunnel endpoint.

Owner: NMDeviceGeneve

Flags: Read

Default value: NULL

Since: 1.58

### The `“tos”` property

      “tos”                      guchar

The TOS value to use in outgoing packets.

Owner: NMDeviceGeneve

Flags: Read

Default value: 0

Since: 1.58

### The `“ttl”` property

      “ttl”                      int

The time-to-live value to use in outgoing packets.

Owner: NMDeviceGeneve

Flags: Read

Allowed values: [-1,255]

Default value: 0

Since: 1.58